# Interface IProxyDeviceService

Namespace
  adas_core.module.ProxyDevices.Services

Assembly
  adas-core.module.ProxyDevices.dll

Interface for the Proxy Device Service, which handles processing and streaming of data from proxy devices.

    public interface IProxyDeviceService

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### Process(string)

Processes data from a proxy device identified by the given device ID. This method is responsible for handling

    Task<HttpResponseMessage> Process(string deviceId)

#### Parameters

`deviceId` string

  The unique identifier of the proxy device to be processed.

#### Returns

Task<HttpResponseMessage>

  A task that represents the asynchronous operation. The task result contains the HttpResponseMessage returned by the device's Process method.

### Stream(string)

Streams data from a proxy device identified by the given device ID. This method is responsible for handling

    Task<HttpResponseMessage> Stream(string deviceId)

#### Parameters

`deviceId` string

  The unique identifier of the proxy device to be streamed.

#### Returns

Task<HttpResponseMessage>

  A task that represents the asynchronous operation. The task result contains the HttpResponseMessage returned by the device's Stream method.